This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.95. __nv_fabsf

Prototype:

    float @__nv_fabsf(float %f)

Description:

Calculate the absolute value of the input argument `x`.

Returns:

Returns the absolute value of the input argument.

- __nv_fabsf( ± ∞ ) returns + ∞ .

- __nv_fabsf( ± 0 ) returns 0.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 7.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes